User Posts

As of 8/27/2025, Truth Social is only letting you view the public profile/posts of prominent users (like Trump and Vance), but requiring auth for everyone else. So sadly most other accounts will not work :(

1 creditper request
GET
/v1/truthsocial/user/posts

🤖 Why Code When AI Can Do It For You?

Stop writing code like it's 1970! Let AI do the heavy lifting - click the sparkles to copy a perfectly formatted prompt for ChatGPT, Claude, or your favorite AI assistant.

curl "https://api.scrapecreators.com/v1/truthsocial/user/posts" \
  -H "x-api-key: "
{
  "success": true,
  "posts": [
    {
      "text": "https://www.youtube.com/live/BK2YxPPRqlg?si=LvQtR-YoCJQd059_",
      "id": "114315232218538121",
      "created_at": "2025-04-10T19:06:55.053Z",
      "in_reply_to_id": null,
      "quote_id": null,
      "in_reply_to_account_id": null,
      "sensitive": false,
      "spoiler_text": "",
      "visibility": "public",
      "language": null,
      "uri": "https://truthsocial.com/@realDonaldTrump/114315232218538121",
      "url": "https://truthsocial.com/@realDonaldTrump/114315232218538121",
      "content": "<p><a href="https://www.youtube.com/live/BK2YxPPRqlg?si=LvQtR-YoCJQd059_" rel="nofollow noopener noreferrer" target="_blank"><span class="invisible">https://www.</span><span class="ellipsis">youtube.com/live/BK2YxPPRqlg?s</span><span class="invisible">i=LvQtR-YoCJQd059_</span></a></p>",
      "account": {
        "id": "107780257626128497",
        "username": "realDonaldTrump",
        "acct": "realDonaldTrump",
        "display_name": "Donald J. Trump",
        "locked": false,
        "bot": false,
        "discoverable": false,
        "group": false,
        "created_at": "2022-02-11T16:16:57.705Z",
        "note": "<p></p>",
        "url": "https://truthsocial.com/@realDonaldTrump",
        "avatar": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/accounts/avatars/107/780/257/626/128/497/original/454286ac07a6f6e6.jpeg",
        "avatar_static": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/accounts/avatars/107/780/257/626/128/497/original/454286ac07a6f6e6.jpeg",
        "header": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/accounts/headers/107/780/257/626/128/497/original/ba3b910ba387bf4e.jpeg",
        "header_static": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/accounts/headers/107/780/257/626/128/497/original/ba3b910ba387bf4e.jpeg",
        "followers_count": 9528800,
        "following_count": 72,
        "statuses_count": 26249,
        "last_status_at": "2025-04-10",
        "verified": true,
        "location": "",
        "website": "www.DonaldJTrump.com",
        "unauth_visibility": true,
        "chats_onboarded": true,
        "feeds_onboarded": true,
        "accepting_messages": false,
        "show_nonmember_group_statuses": null,
        "emojis": [],
        "fields": [],
        "tv_onboarded": false,
        "tv_account": false
      },
      "media_attachments": [],
      "mentions": [],
      "tags": [],
      "card": {
        "id": null,
        "url": "https://www.youtube.com/live/BK2YxPPRqlg?si=LvQtR-YoCJQd059_",
        "title": "Trump holds Cabinet meeting after House passes budget bill",
        "description": "President Donald Trump holds a Cabinet meeting after Republicans narrowly passed his 'big, beautiful' budget bill. #politics #trump #foxnews Subscribe to Fox...",
        "type": "video",
        "author_name": "",
        "author_url": "",
        "provider_name": "www.youtube.com",
        "provider_url": "",
        "html": "<iframe src="https://www.youtube.com/embed/BK2YxPPRqlg" width="1280" height="720" allowtransparency="true" scrolling="no" frameborder="0"></iframe>",
        "width": 1280,
        "height": 720,
        "image": "https://static-assets-1.truthsocial.com/tmtg:prime-ts-assets/cache/preview_cards/images/052/070/680/original/04aa67804597eebe.jpg",
        "embed_url": "",
        "blurhash": "UECr=-~VXmWAiaROIUS1^jxuaJRjI=kWx]xu",
        "links": null,
        "group": null
      },
      "group": null,
      "quote": null,
      "in_reply_to": null,
      "reblog": null,
      "sponsored": false,
      "replies_count": 601,
      "reblogs_count": 1607,
      "favourites_count": 6282,
      "favourited": false,
      "reblogged": false,
      "muted": false,
      "pinned": false,
      "bookmarked": false,
      "poll": null,
      "emojis": []
    }
  ],
  "next_max_id": "114308258545250117"
}

Headers

x-api-key
string
required

Your Scrape Creators API key

Query Parameters

handle
string

Truth Social username

Example:
realDonaldTrump
user_id
string

Truth Social user id. Use this for faster response times. Trumps is 107780257626128497. It is the 'id' field in the profile endpoint.

Example:
107780257626128497
next_max_id
string

Used to paginate to next page

Example:
107780257626128497
trim
boolean

Set to true for a trimmed down version of the response

Example:
false